stages:
  - build
  - test

variables:
  DATABASE_URL: "your_database_url_here"

install_dependencies:
  stage: build
  image: python:3.9
  script:
    - apt-get update
    - apt-get install -y r-base
    - pip install -r requirements.txt
    - R -e "install.packages(c('ranger', 'other_required_R_packages'), repos='https://cloud.r-project.org/')"
    - bash setup_database.sh
  artifacts:
    paths:
      - setup_database.sh
    expire_in: 1 week

run_tests:
  stage: test
  image: python:3.9
  script:
    - pip install -r requirements.txt
    - R -e "install.packages(c('ranger', 'other_required_R_packages'), repos='https://cloud.r-project.org/')"
    - bash setup_database.sh
    - python -m unittest discover
  needs:
    - install_dependencies
